Subject: bug#46111: Reverting fns.c hash function due to OpenBSD/SPARC64 compile breaking

From: Philipp Stephani <[email-masked]>
Date: Tue, 26 Jan 2021 10:36:25 +0100

Am Di., 26. Jan. 2021 um 10:07 Uhr schrieb Ahmed Khanzada <[email-masked]>:
>
> I'm not an expert on C, OpenBSD, or SPARC64, but I did notice
> emacs-current was not compiling.
>
> During a gmake, bootstrap-emacs would get a SIGBUS and fail. Running
> gdb led me to the hash_string function where it seemed to be failing.

The culprit might be commit be0f2de179235980b5409d5e77577207b93a4f12.
I don't think that something like
EMACS_UINT const *p   = (EMACS_UINT const *) ptr;
is legal on any platform; it just happens to work on forgiving
platforms such as x86-64.